/*Multiplicar dos matrices*/

#include<stdio.h>
#include<conio.h>
#include<stdlib.h>
#include<dos.h>

#define F 3
#define C 4

void main ()
{
	int M1[F][C]={0}, M2[C][F]={0}, M3[F][F]={0},f,c,j,suma;
	
	clrscr();
	randomize();
	for(f=0;f<F;f++)
	{
		for(c=0;c<C;c++)
		{
			M1[f][c]=random(11);
		}
	}
	delay(500);
	randomize();
	for(c=0;c<C;c++)
	{
		for(f=0;f<F;f++)
		{
			M2[c][f]=random(11);
		}
	}
	for(f=0;f<F;f++)
	{
		for(j=0;j<F;j++)
		{
			suma=0;
			for(c=0;c<C;c++)
			{
			suma=suma+M1[f][c]*M2[c][j];
			}
			M3[f][j]=suma;
		}
	}
	for(f=0;f<F;f++)
	{
		for(c=0;c<C;c++)
		{
		 printf("%3d ",M1[f][c]);
		}
		printf("\n");
	}
	printf("\n");
	for(c=0;c<C;c++)
	{
		for(f=0;f<F;f++)
		{
		 printf("%3d ",M2[c][f]);
		}
		printf("\n");
	}
	printf("\n");
	for(f=0;f<F;f++)
	{
		for(c=0;c<F;c++)
		{
		 printf("%3d ",M3[f][c]);
		}
		printf("\n");
	}
	getch();
}